[Bug target/86951] New: arm speculation barrier incompatible with ARMv6 or earlier

rearnsha at gcc dot gnu.org gcc-bugzilla@gcc.gnu.org
Tue Aug 14 14:20:00 GMT 2018


https://gcc.gnu.org/bugzilla/show_bug.cgi?id=86951

            Bug ID: 86951
           Summary: arm speculation barrier incompatible with ARMv6 or
                    earlier
           Product: gcc
           Version: 9.0
            Status: UNCONFIRMED
          Keywords: assemble-failure
          Severity: normal
          Priority: P3
         Component: target
          Assignee: unassigned at gcc dot gnu.org
          Reporter: rearnsha at gcc dot gnu.org
            Blocks: 86772
  Target Milestone: ---
            Target: arm

The speculation_barrier_insn pattern uses DSB and ISB, but these instructions
were only added in ARMv7.  Another approach is needed for older versions of the
architecture.


Referenced Bugs:

https://gcc.gnu.org/bugzilla/show_bug.cgi?id=86772
[Bug 86772] [meta-bug] tracking port status for CVE-2017-5753


More information about the Gcc-bugs mailing list